Index: LMDZ4/trunk/libf/phylmd/ini_histmth.h
===================================================================
--- LMDZ4/trunk/libf/phylmd/ini_histmth.h	(revision 775)
+++ LMDZ4/trunk/libf/phylmd/ini_histmth.h	(revision 776)
@@ -1630,104 +1630,104 @@
      .                "Convective Cloud Liquid water content"
      .                , "kg/kg",
-     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth,"Ma","undilute adiab updraft","kg/m2/s",
-     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "dnwd", "saturated downdraft","kg/m2/s",
-     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "dnwd0", "unsat. downdraft", "kg/m2/s",
-     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "dtdyn", "Dynamics dT", "K/s",
-     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "dqdyn","Dynamics dQ","(kg/kg)/s",
-     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "dqcon","Convection dQ","(kg/kg)/s",
-     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "dtlschr",
      $       "Large-scale condensational heating rate", "K/s",
-     $       iim,jjphy_nb
+     $       iim,jj_nb
      $       ,nhori, klev,1,klev,nvert, 32,"ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "dqlsc","Condensation dQ","(kg/kg)/s",
-     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "dtvdf", "Boundary-layer dT", "K/s",
-     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "dqvdf","Boundary-layer dQ","(kg/kg)/s",
-     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "dteva", "Reevaporation dT", "K/s",
-     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth,"dqeva","Reevaporation dQ","(kg/kg)/s",
-     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 
          CALL histdef(nid_mth, "ptconv", "POINTS CONVECTIFS"," ",
-     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 
          CALL histdef(nid_mth, "ratqs", "RATQS"," ",
-     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 
 c
          CALL histdef(nid_mth, "dqajs","Dry adjust. dQ","(kg/kg)/s",
-     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "dtswr", "SW radiation dT", "K/s",
-     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "dtsw0", "CS SW radiation dT", "K/s",
-     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "dtlwr", "LW radiation dT", "K/s",
-     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth,"dtlw0","CS LW radiation dT","K/s",
-     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "dtec", "Cinetic dissip dT", "K/s",
-     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "duvdf", "Boundary-layer dU", "m/s2",
-     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "dvvdf", "Boundary-layer dV", "m/s2",
-     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          IF (ok_orodr) THEN
          CALL histdef(nid_mth, "duoro", "Orography dU", "m/s2",
-     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "dvoro", "Orography dV", "m/s2",
-     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
@@ -1736,9 +1736,9 @@
          IF (ok_orolf) THEN
          CALL histdef(nid_mth, "dulif", "Orography dU", "m/s2",
-     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "dvlif", "Orography dV", "m/s2",
-     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
          ENDIF
@@ -1748,5 +1748,5 @@
          iiq=niadv(iq)
          CALL histdef(nid_mth, tnom(iq), ttext(iiq), "-",
-     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
          ENDDO
Index: LMDZ4/trunk/libf/phylmd/ini_histmthNMC.h
===================================================================
--- LMDZ4/trunk/libf/phylmd/ini_histmthNMC.h	(revision 775)
+++ LMDZ4/trunk/libf/phylmd/ini_histmthNMC.h	(revision 776)
@@ -39,30 +39,30 @@
           CALL histdef(nid_nmc, "temp",
      .                 "Temperature","K",
-     .                iim,jjphy_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
+     .                iim,jj_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
      .                "inst(X)", zout,zout)
 c
          CALL histdef(nid_nmc, "phi",
      .                "Geopotential", "m",
-     .                iim,jjphy_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
+     .                iim,jj_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
      .                "inst(X)", zout,zout)
 c
           CALL histdef(nid_nmc, "q",
      .                 "Specific humidity","kg/kg",
-     .                iim,jjphy_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
+     .                iim,jj_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
      .                "inst(X)", zout,zout)
 c
          CALL histdef(nid_nmc, "rh",
      .                 "Relative humidity", "%",
-     .                iim,jjphy_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
+     .                iim,jj_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
      .                "inst(X)", zout,zout)
 c
           CALL histdef(nid_nmc, "u",
      .                 "Zonal wind","m/s",
-     .                iim,jjphy_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
+     .                iim,jj_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
      .                "inst(X)", zout,zout)
 c
           CALL histdef(nid_nmc, "v",
      .                 "Meridional wind","m/s",
-     .                iim,jjphy_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
+     .                iim,jj_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
      .                "inst(X)", zout,zout)
 c
@@ -78,35 +78,35 @@
           CALL histdef(nid_nmc, "temp",
      .                 "Temperature","K",
-     .                iim,jjphy_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
+     .                iim,jj_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
      .                "inst(X)", zout,zout)
 c
          CALL histdef(nid_nmc, "phi",
      .                "Geopotential ", "m",
-     .                iim,jjphy_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
+     .                iim,jj_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
      .                "inst(X)", zout,zout)
 c
           CALL histdef(nid_nmc, "q",
      .                 "Specific humidity","kg/kg",
-     .                iim,jjphy_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
+     .                iim,jj_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
      .                "inst(X)", zout,zout)
 c
          CALL histdef(nid_nmc, "rh",
      .                 "Relative humidity", "%",
-     .                iim,jjphy_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
+     .                iim,jj_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
      .                "inst(X)", zout,zout)
 c
           CALL histdef(nid_nmc, "u",
      .                 "Zonal wind","m/s",
-     .                iim,jjphy_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
+     .                iim,jj_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
      .                "inst(X)", zout,zout)
 c
           CALL histdef(nid_nmc, "v",
      .                 "Meridional wind","m/s",
-     .                iim,jjphy_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
+     .                iim,jj_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
      .                "inst(X)", zout,zout)
 c
           CALL histdef(nid_nmc, "w",
      .                 "Vertical motion","Pa/s",
-     .                iim,jjphy_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
+     .                iim,jj_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
      .                "inst(X)", zout,zout)
 c
@@ -121,15 +121,15 @@
           CALL histdef(nid_nmc, "psbg",
      .         "Pressure sfce below ground","%",
-     .         iim,jjphy_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
+     .         iim,jj_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
      .         "inst(X)", zout,zout)
 c
           CALL histdef(nid_nmc, "uv",
      .         "uv ",
-     .         "m2/s2",iim,jjphy_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
+     .         "m2/s2",iim,jj_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
      .         "inst(X)", zout,zout)
 c
           CALL histdef(nid_nmc, "vq",
      .         "vq ",
-     .         "m/s * (kg/kg)",iim,jjphy_nb,nhori, 
+     .         "m/s * (kg/kg)",iim,jj_nb,nhori, 
      .          nlevSTD,1,nlevSTD, nvert, 32,
      .         "inst(X)", zout,zout)
@@ -137,5 +137,5 @@
           CALL histdef(nid_nmc, "vT",
      .         "vT ", 
-     .         "mK/s",iim,jjphy_nb,nhori, 
+     .         "mK/s",iim,jj_nb,nhori, 
      .          nlevSTD,1,nlevSTD, nvert, 32,
      .         "inst(X)", zout,zout)
@@ -143,5 +143,5 @@
           CALL histdef(nid_nmc, "wq",
      .         "wq ", 
-     .         "(Pa/s)*(kg/kg)",iim,jjphy_nb,nhori,
+     .         "(Pa/s)*(kg/kg)",iim,jj_nb,nhori,
      .          nlevSTD,1,nlevSTD, nvert, 32,
      .         "inst(X)", zout,zout)
@@ -149,5 +149,5 @@
           CALL histdef(nid_nmc, "vphi",
      .         "vphi ", 
-     .         "m2/s",iim,jjphy_nb,nhori, 
+     .         "m2/s",iim,jj_nb,nhori, 
      .          nlevSTD,1,nlevSTD, nvert, 32,
      .         "inst(X)", zout,zout)
@@ -155,5 +155,5 @@
           CALL histdef(nid_nmc, "wT",
      .         "wT ", 
-     .         "K*Pa/s",iim,jjphy_nb,nhori,
+     .         "K*Pa/s",iim,jj_nb,nhori,
      .          nlevSTD,1,nlevSTD, nvert, 32,
      .         "inst(X)", zout,zout)
@@ -161,5 +161,5 @@
           CALL histdef(nid_nmc, "uxu",
      .         "u2 ", 
-     .         "m2/s2",iim,jjphy_nb,nhori,
+     .         "m2/s2",iim,jj_nb,nhori,
      .          nlevSTD,1,nlevSTD, nvert, 32,
      .         "inst(X)", zout,zout)
@@ -167,5 +167,5 @@
           CALL histdef(nid_nmc, "vxv",
      .         "v2 ", 
-     .         "m2/s2",iim,jjphy_nb,nhori,
+     .         "m2/s2",iim,jj_nb,nhori,
      .          nlevSTD,1,nlevSTD, nvert, 32,
      .         "inst(X)", zout,zout)
@@ -173,5 +173,5 @@
           CALL histdef(nid_nmc, "TxT",
      .         "T2 ", 
-     .         "K2",iim,jjphy_nb,nhori,
+     .         "K2",iim,jj_nb,nhori,
      .          nlevSTD,1,nlevSTD, nvert, 32,
      .         "inst(X)", zout,zout)
Index: LMDZ4/trunk/libf/phylmd/ini_histrac.h
===================================================================
--- LMDZ4/trunk/libf/phylmd/ini_histrac.h	(revision 775)
+++ LMDZ4/trunk/libf/phylmd/ini_histrac.h	(revision 776)
@@ -26,9 +26,9 @@
 c
          CALL histdef(nid_tra, "phis", "Surface geop. height", "-",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "once",  zsto,zout)
 c
          CALL histdef(nid_tra, "aire", "Grid area", "-",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "once",  zsto,zout)
          DO it=1,nqmax
@@ -37,9 +37,9 @@
          iiq=niadv(iq)
          CALL histdef(nid_tra, tnom(iq), ttext(iiq), "U/kga",
-     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
          if (lessivage) THEN
          CALL histdef(nid_tra, "fl"//tnom(iq),"Flux "//ttext(iiq),
-     .              "U/m2/s",iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
+     .              "U/m2/s",iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .              "ave(X)", zsto,zout)
          endif
@@ -48,13 +48,13 @@
          CALL histdef(nid_tra, "d_tr_th_"//tnom(iq),
      .	              "tendance thermique"// ttext(iiq), "?",
-     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
          CALL histdef(nid_tra, "d_tr_cv_"//tnom(iq),
      .	              "tendance convection"// ttext(iiq), "?",
-     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
          CALL histdef(nid_tra, "d_tr_cl_"//tnom(iq),
      .	              "tendance couche limite"// ttext(iiq), "?",
-     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 c---fin Olivia	 
@@ -63,60 +63,60 @@
 
          CALL histdef(nid_tra, "pyu1", "Vent niv 1", "-",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)",  zout,zout)
 
          CALL histdef(nid_tra, "pyv1", "Vent niv 1", "-",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)",  zout,zout)
          CALL histdef(nid_tra, "psrf1", "nature sol", "-",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)",  zout,zout)
          CALL histdef(nid_tra, "psrf2", "nature sol", "-",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)",  zout,zout)
          CALL histdef(nid_tra, "psrf3", "nature sol", "-",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)",  zout,zout)
          CALL histdef(nid_tra, "psrf4", "nature sol", "-",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)",  zout,zout)
          CALL histdef(nid_tra, "ftsol1", "temper sol", "-",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)",  zout,zout)
          CALL histdef(nid_tra, "ftsol2", "temper sol", "-",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)",  zout,zout)
          CALL histdef(nid_tra, "ftsol3", "temper sol", "-",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "inst",  zout,zout)
          CALL histdef(nid_tra, "ftsol4", "temper sol", "-",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)",  zout,zout)
          CALL histdef(nid_tra, "pplay", "flux u mont","-",
-     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "inst(X)", zout,zout)
          CALL histdef(nid_tra, "t", "flux u mont","-",
-     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "inst(X)", zout,zout)
          CALL histdef(nid_tra, "mfu", "flux u mont","-",
-     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
          CALL histdef(nid_tra, "mfd", "flux u decen","-",
-     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
          CALL histdef(nid_tra, "en_u", "flux u mont","-",
-     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
          CALL histdef(nid_tra, "en_d", "flux u mont","-",
-     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
          CALL histdef(nid_tra, "de_d", "flux u mont","-",
-     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
          CALL histdef(nid_tra, "de_u", "flux u decen","-",
-     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
          CALL histdef(nid_tra, "coefh", "turbulent coef","-",
-     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 
Index: LMDZ4/trunk/libf/phylmd/ini_paramLMDZ_phy.h
===================================================================
--- LMDZ4/trunk/libf/phylmd/ini_paramLMDZ_phy.h	(revision 775)
+++ LMDZ4/trunk/libf/phylmd/ini_paramLMDZ_phy.h	(revision 776)
@@ -1,5 +1,5 @@
 cym    Non implemente en mode parallele
 
-       IF (monocpu) THEN  
+       IF (is_sequential) THEN  
 c
        zstophy = dtime
@@ -361,5 +361,5 @@
        CALL histend(nid_ctesGCM)
        
-       ENDIF ! monocpu
+       ENDIF ! is_sequential
 c
 c=================================================================
Index: LMDZ4/trunk/libf/phylmd/ini_undefSTD.F
===================================================================
--- LMDZ4/trunk/libf/phylmd/ini_undefSTD.F	(revision 775)
+++ LMDZ4/trunk/libf/phylmd/ini_undefSTD.F	(revision 776)
@@ -1,2 +1,6 @@
+!
+! $Header$
+!
+
       SUBROUTINE ini_undefSTD(nlevSTD,itap,
      $           dtime,ecrit_day,ecrit_mth,
Index: LMDZ4/trunk/libf/phylmd/iniphysiq.F
===================================================================
--- LMDZ4/trunk/libf/phylmd/iniphysiq.F	(revision 775)
+++ LMDZ4/trunk/libf/phylmd/iniphysiq.F	(revision 776)
@@ -9,5 +9,7 @@
      $           plat,plon,parea,pcu,pcv,
      $           prad,pg,pr,pcpp)
-      USE dimphy,klon2=>klon,klon=>klon2
+      USE dimphy
+      USE mod_grid_phy_lmdz
+      USE mod_phys_lmdz_para
       USE comgeomphy
       IMPLICIT NONE
@@ -52,5 +54,6 @@
  
       INTEGER ngrid,nlayer
-      REAL plat(ngrid),plon(ngrid),parea(klon),pcu(klon),pcv(klon)
+      REAL plat(ngrid),plon(ngrid),parea(klon_glo)
+      REAL pcu(klon_glo),pcv(klon_glo)
       INTEGER pdayref
       INTEGER :: ibegin,iend
@@ -66,21 +69,19 @@
       ENDIF
 
-      IF (ngrid.NE.klon) THEN
+      IF (ngrid.NE.klon_glo) THEN
          PRINT*,'STOP in inifis'
          PRINT*,'Probleme de dimensions :'
          PRINT*,'ngrid     = ',ngrid
-         PRINT*,'klon   = ',klon
+         PRINT*,'klon   = ',klon_glo
          STOP
       ENDIF
 c$OMP PARALLEL PRIVATE(ibegin,iend) 
 c$OMP+         SHARED(parea,pcu,pcv,plon,plat)
-      ibegin=klon_begin+klon_omp_begin(omp_rank)-1
-      iend=ibegin+klon_omp-1
 
-      airephy(1:klon_omp)=parea(ibegin:iend)
-      cuphy(1:klon_omp)=pcu(ibegin:iend)
-      cvphy(1:klon_omp)=pcv(ibegin:iend)
-      rlond(1:klon_omp) = plon(ibegin:iend)
-      rlatd(1:klon_omp) = plat(ibegin:iend)
+      airephy(1:klon_omp)=parea(klon_omp_begin:klon_omp_end)
+      cuphy(1:klon_omp)=pcu(klon_omp_begin:klon_omp_end)
+      cvphy(1:klon_omp)=pcv(klon_omp_begin:klon_omp_end)
+      rlond(1:klon_omp) = plon(klon_omp_begin:klon_omp_end)
+      rlatd(1:klon_omp) = plat(klon_omp_begin:klon_omp_end)
 
       call suphec
Index: LMDZ4/trunk/libf/phylmd/initphysto.F
===================================================================
--- LMDZ4/trunk/libf/phylmd/initphysto.F	(revision 775)
+++ LMDZ4/trunk/libf/phylmd/initphysto.F	(revision 776)
@@ -9,4 +9,5 @@
        
        USE dimphy
+       USE mod_phys_lmdz_para
        USE IOIPSL
        USE iophy
@@ -121,5 +122,5 @@
 
        CALL histdef(fileid, "phis", "Surface geop. height", "-",
-     .                iim,jjphy_nb,nhoriid, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhoriid, 1,1,1, -99, 32,
      .                "once", t_ops, t_wrt)
 c
@@ -127,5 +128,5 @@
 
          CALL histdef(fileid, "aire", "Grid area", "-",
-     .                iim,jjphy_nb,nhoriid, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhoriid, 1,1,1, -99, 32,
      .                "once", t_ops, t_wrt)
          write(*,*) 'apres aire ds initphysto'
@@ -143,5 +144,5 @@
 C
       call histdef(fileid, 't', 'Temperature', 'K',
-     .             iim, jjphy_nb, nhoriid, llm, 1, llm, zvertiid,
+     .             iim, jj_nb, nhoriid, llm, 1, llm, zvertiid,
      .             32, 'inst(X)', t_ops, t_wrt)
         write(*,*) 'apres t ds initphysto'
@@ -149,5 +150,5 @@
 C
       call histdef(fileid, 'mfu', 'flx m. pan. mt', 'kg m/s',
-     .             iim, jjphy_nb, nhoriid, llm, 1, llm, zvertiid,
+     .             iim, jj_nb, nhoriid, llm, 1, llm, zvertiid,
      .             32, 'inst(X)', t_ops, t_wrt)
         write(*,*) 'apres mfu ds initphysto'
@@ -156,5 +157,5 @@
 C
       call histdef(fileid, 'mfd', 'flx m. pan. des', 'kg m/s',
-     .             iim, jjphy_nb, nhoriid, llm, 1, llm, zvertiid,
+     .             iim, jj_nb, nhoriid, llm, 1, llm, zvertiid,
      .             32, 'inst(X)', t_ops, t_wrt)
 
@@ -163,5 +164,5 @@
 C
       call histdef(fileid, 'en_u', 'flx ent pan mt', 'kg m/s',
-     .             iim, jjphy_nb, nhoriid, llm, 1, llm, zvertiid,
+     .             iim, jj_nb, nhoriid, llm, 1, llm, zvertiid,
      .             32, 'inst(X)', t_ops, t_wrt)
                write(*,*) 'apres en_u ds initphysto'
@@ -170,5 +171,5 @@
 C
       call histdef(fileid, 'de_u', 'flx det pan mt', 'kg m/s',
-     .             iim, jjphy_nb, nhoriid, llm, 1, llm, zvertiid,
+     .             iim, jj_nb, nhoriid, llm, 1, llm, zvertiid,
      .             32, 'inst(X)', t_ops, t_wrt)
 
@@ -177,5 +178,5 @@
 C
       call histdef(fileid, 'en_d', 'flx ent pan dt', 'kg m/s',
-     .             iim, jjphy_nb, nhoriid, llm, 1, llm, zvertiid,
+     .             iim, jj_nb, nhoriid, llm, 1, llm, zvertiid,
      .             32, 'inst(X)', t_ops, t_wrt)
 C
@@ -185,5 +186,5 @@
 C
       call histdef(fileid, 'de_d', 'flx det pan dt', 'kg m/s',
-     .             iim, jjphy_nb, nhoriid, llm, 1, llm, zvertiid,
+     .             iim, jj_nb, nhoriid, llm, 1, llm, zvertiid,
      .             32, 'inst(X)', t_ops, t_wrt)
 
@@ -191,14 +192,14 @@
 	
 	call histdef(fileid, "coefh", " ", " ",
-     .             iim, jjphy_nb, nhoriid, llm, 1, llm, zvertiid,
+     .             iim, jj_nb, nhoriid, llm, 1, llm, zvertiid,
      .             32, "inst(X)", t_ops, t_wrt)
 
 c abderrahmane le 16 09 02
         call histdef(fileid, "fm_th", " ", " ",
-     .             iim, jjphy_nb, nhoriid, llm, 1, llm, zvertiid,
+     .             iim, jj_nb, nhoriid, llm, 1, llm, zvertiid,
      .             32, "inst(X)", t_ops, t_wrt)
 
         call histdef(fileid, "en_th", " ", " ",
-     .             iim, jjphy_nb, nhoriid, llm, 1, llm, zvertiid,
+     .             iim, jj_nb, nhoriid, llm, 1, llm, zvertiid,
      .             32, "inst(X)", t_ops, t_wrt)
 c fin aj
@@ -207,9 +208,9 @@
 
 	call histdef(fileid, 'frac_impa', ' ', ' ',
-     .             iim, jjphy_nb, nhoriid, llm, 1, llm, zvertiid,
+     .             iim, jj_nb, nhoriid, llm, 1, llm, zvertiid,
      .             32, 'inst(X)', t_ops, t_wrt)
 	
 	call histdef(fileid, 'frac_nucl', ' ', ' ',
-     .             iim, jjphy_nb, nhoriid, llm, 1, llm, zvertiid,
+     .             iim, jj_nb, nhoriid, llm, 1, llm, zvertiid,
      .             32, 'inst(X)', t_ops, t_wrt)
 
@@ -218,5 +219,5 @@
 c
       CALL histdef(fileid, "pyu1", " ", " ",
-     .                iim,jjphy_nb,nhoriid, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhoriid, 1,1,1, -99, 32,
      .                "inst(X)", t_ops, t_wrt)
 
@@ -225,5 +226,5 @@
 c
 	CALL histdef(fileid, "pyv1", " ", " ",
-     .                iim,jjphy_nb,nhoriid, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhoriid, 1,1,1, -99, 32,
      .                "inst(X)", t_ops, t_wrt)
 	
@@ -233,5 +234,5 @@
 c
 	call histdef(fileid, "ftsol1", " ", " ",
-     .             iim, jjphy_nb, nhoriid, 1, 1,1, -99,32,
+     .             iim, jj_nb, nhoriid, 1, 1,1, -99,32,
      .             "inst(X)", t_ops, t_wrt)
 
@@ -240,5 +241,5 @@
 c
         call histdef(fileid, "ftsol2", " ", " ",
-     .             iim, jjphy_nb, nhoriid, 1, 1,1, -99,32,
+     .             iim, jj_nb, nhoriid, 1, 1,1, -99,32,
      .             "inst(X)", t_ops, t_wrt)
 
@@ -247,5 +248,5 @@
 c
         call histdef(fileid, "ftsol3", " ", " ",
-     .             iim, jjphy_nb, nhoriid, 1, 1,1, -99,
+     .             iim, jj_nb, nhoriid, 1, 1,1, -99,
      .             32, "inst(X)", t_ops, t_wrt)
 
@@ -254,5 +255,5 @@
 c
         call histdef(fileid, "ftsol4", " ", " ",
-     .             iim, jjphy_nb, nhoriid, 1, 1,1, -99,
+     .             iim, jj_nb, nhoriid, 1, 1,1, -99,
      .             32, "inst(X)", t_ops, t_wrt)
 	
@@ -261,5 +262,5 @@
 c
         call histdef(fileid, "rain", " ", " ",
-     .             iim, jjphy_nb, nhoriid, 1, 1,1, -99,
+     .             iim, jj_nb, nhoriid, 1, 1,1, -99,
      .             32, "inst(X)", t_ops, t_wrt)
 
@@ -268,5 +269,5 @@
 c
 	call histdef(fileid, "psrf1", " ", " ",
-     .             iim, jjphy_nb, nhoriid, 1, 1, 1, -99,
+     .             iim, jj_nb, nhoriid, 1, 1, 1, -99,
      .             32, "inst(X)", t_ops, t_wrt)
 	
@@ -275,5 +276,5 @@
 c
         call histdef(fileid, "psrf2", " ", " ",
-     .             iim, jjphy_nb, nhoriid, 1, 1, 1, -99,
+     .             iim, jj_nb, nhoriid, 1, 1, 1, -99,
      .             32, "inst(X)", t_ops, t_wrt)
 
@@ -282,5 +283,5 @@
 c
         call histdef(fileid, "psrf3", " ", " ",
-     .             iim, jjphy_nb, nhoriid, 1, 1, 1, -99,
+     .             iim, jj_nb, nhoriid, 1, 1, 1, -99,
      .             32, "inst(X)", t_ops, t_wrt)
 
@@ -289,5 +290,5 @@
 c
         call histdef(fileid, "psrf4", " ", " ",
-     .             iim, jjphy_nb, nhoriid, 1, 1, 1, -99,
+     .             iim, jj_nb, nhoriid, 1, 1, 1, -99,
      .             32, "inst(X)", t_ops, t_wrt)
 	
